Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package patmat
  Definition Classes
    transform
-  trait Logic extends Debugging
  Definition Classes
    patmat
-  trait PropositionalLogic extends AnyRef
  Definition Classes
    Logic
- AbsVar
- AnalysisBudget
- And
- AtMostOne
- Const
- Eq
- False
- Not
- Or
- Prop
- PropMap
- PropTraverser
- Solution
- Solvable
- Sym
- Tree
- True
- Type
- TypeConst
- TypeConstExtractor
- ValueConst
- ValueConstExtractor
- Var
- VarExtractor

c

scala.tools.nsc.transform.patmat.Logic.PropositionalLogic

# Sym

###
Companion object Sym

#### final class Sym extends Prop

Source
  Logic.scala

Linear Supertypes
Prop, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Sym
2. Prop
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Sym toany2stringadd[Sym] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Sym, B)
   Implicit
     This member is added by an implicit conversion from Sym toArrowAssoc[Sym] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  val const: Const
9.  def ensuring(cond: (Sym) => Boolean, msg: => Any): Sym
   Implicit
     This member is added by an implicit conversion from Sym toEnsuring[Sym] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (Sym) => Boolean): Sym
    Implicit
      This member is added by an implicit conversion from Sym toEnsuring[Sym] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): Sym
    Implicit
      This member is added by an implicit conversion from Sym toEnsuring[Sym] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): Sym
    Implicit
      This member is added by an implicit conversion from Sym toEnsuring[Sym] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(other: Any): Boolean
    Definition Classes
      Sym → AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Sym toStringFormat[Sym] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      Sym → AnyRef → Any
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      Sym → AnyRef → Any
25.  val variable: Var
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (Sym, B)
   Implicit
     This member is added by an implicit conversion from Sym toArrowAssoc[Sym] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Prop

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromSym to any2stringadd[Sym]

### Inherited by implicit conversion StringFormat fromSym to StringFormat[Sym]

### Inherited by implicit conversion Ensuring fromSym to Ensuring[Sym]

### Inherited by implicit conversion ArrowAssoc fromSym to ArrowAssoc[Sym]

### Ungrouped